> For the complete documentation index, see [llms.txt](https://docs.sprinthub.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sprinthub.com/topicos/api/api-chamada-api-para-listar-atendimentos-de-um-lead.md).

# API - Chamada API para Listar Atendimentos de um Lead

## Listar Atendimentos no SAC360 de um Lead específico

<mark style="color:green;">`GET`</mark> /sac360/lead/:id

Endpoint completo: <https://sprinthub-api-master.sprinthub.app/sac360/lead/XXXX?i=instancia>

i = nome da sua instância

XXXX = ID do Lead

**Headers**

| Name     | Value   |
| -------- | ------- |
| apitoken | XXXXXXX |

**Resposta**

{% tabs %}
{% tab title="200" %}

```json
[
    {
        "id": XXXX,
        "status": null,
        "attendant": 001,
        "userClient": null,
        "userAttendance": "user",
        "department": null,
        "attendantName": "User Name",
        "name": "Whats name ",
        "lead_name": null,
        "name_contact": null,
        "startDate": "2024-07-30T15:27:20.000Z",
        "endDate": null,
        "star": null,
        "evaluation": null,
        "chatGroup": null,
        "type": "whatsapp",
        "recipientid": "55xxxxx@s.whatsapp.net",
        "photo": null,
        "photo_larger": null,
        "accid": "55xxxxx",
        "obs": null,
        "mautic_relation": ID_DO_LEAD,
        "post_id": null,
        "page_id": null,
        "comment_id": null,
        "comment_txt": null,
        "whatsapp_acc": null,
        "whatsapp_number": "55xxxxx",
        "whatsapp_oficial": null,
        "unread": 0,
        "lastMesssageUser": "2024-07-29T13:55:50.000Z",
        "lastMesssageAttendance": "2024-07-30T15:27:30.000Z",
        "pin": null,
        "archive": null,
        "isGroup": null,
        "opportunity": null,
        "sequence": 0,
        "createDate": "2024-07-30T15:27:20.000Z",
        "updateDate": "2024-07-30T15:27:30.000Z",
        "createDateUnix": 1722353240,
        "updateDateUnix": 1722353250,
        "lastMesssageUserUnix": 1722261350,
        "photos3": "https://whatsxxxxr.spxxxx.app/xxxx/whatsapp/xxxo/55xxxx2/55xxxxx@s.whatsapp.net"
    }
]
```

{% endtab %}

{% tab title="400" %}

```json
{
  "error": "Invalid request"
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.sprinthub.com/topicos/api/api-chamada-api-para-listar-atendimentos-de-um-lead.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
